<?php
if(!defined('IN_TM')) {exit('Access Denied');}
if(!$dosubmit){
		$tplid = 2;
		$db->close();
		include view('guestbook');
}else{
		if(empty($info[title])){
			die("<script>alert('请填写留言标题!重要！'); history.go(-1);</script>");
		}elseif(empty($info[name])){
			die("<script>alert('请输入您的名字！'); history.go(-1);</script>");
		}elseif(empty($info[body])){
			die("<script>alert('请输入留言内容！'); history.go(-1);</script>");
		}
		$info[time] = TIME;
		$db->insert(DB_PRE.'guestbook', $info);
        $id = $db->insert_id();
		$http = load('http.class.php');
        $email_message = "新留言：<BR/>留言标题 ：".$info[title]."<BR/>留言性质：".$info[xz]."<BR/>联系人：".$info[name]."<BR/>联系电话：".$info[tel]."<BR/>联系邮箱：".$info[email]."<BR/>留言内容：".$info[body]."<BR/><a href =".$TM[siteurl]."admin.php >点击登陆网站后台查看</a>";
	    $is_ok = $http->post('http://www.newsteng.com/license/to.php?charset='.CHARSET.'&domain='.urlencode($business[xtcmsdomain]).'&sub='.urlencode('留言').'&email_message='.urlencode($email_message));
	    if($id){
			die("<script>alert('恭喜，您的留言我们已经记录到数据库中，稍后管理员会查看您的留言，谢谢！');history.go(-1);</script>");
		}else{
			die("<script>alert('服务器繁忙请稍后再试！'); history.go(-1);</script>");
		}
	}
?>